unit Vlisoaucicode;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ucidetector;

type

  { TValisaouciForm }

  TValisaouciForm = class(TForm)
    Charger: TButton;
    Chargement: TButton;
    Repertoire: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    ListBox1: TListBox;
    OD: TOpenDialog;
    procedure ChargementClick(Sender: TObject);
    procedure ChargerClick(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure RepertoireChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  ValisaouciForm: TValisaouciForm;
  Nom, author: string;

implementation

{$R *.lfm}

{ TValisaouciForm }

procedure TValisaouciForm.ChargementClick(Sender: TObject);
begin
 if OD.Execute then
 begin
 Repertoire.Text:=OD.FileName;
 Exit;
 end;
end;

procedure TValisaouciForm.ChargerClick(Sender: TObject);
var Info : TsearchRec;
begin
ListBox1.Clear;
if FindFirst(ExtractFilePath(Application.ExeName)+'\engine\*',faAnyFile and faDirectory,Info)=0 then
 begin
 repeat
   With Info do if (Name<>'.') and (Name<>'..')then Listbox1.Items.Add(Name);
 until FindNext(Info)<>0 ;
 end;
FindClose(Info);
end;

procedure TValisaouciForm.ListBox1Click(Sender: TObject);
begin
  Repertoire.Text:=ExtractFilePath(Application.ExeName)+'engine\'+ListBox1.Items[ListBox1.ItemIndex];
end;

procedure TValisaouciForm.RepertoireChange(Sender: TObject);
begin
   if IsUciEngine(Repertoire.Caption, Nom, author) then
  begin
  Label1.Caption:=Nom;
  Label2.Caption:=author;
  end
 else
 begin
   Label1.Caption:='Ce programme ne connait pas le protocole UCI';
   Label2.Caption:='Auteur du programme';
 end;
end;

end.

